<?php
namespace App\Models;
class NewMenu extends BaseModel
{

    protected $table="dc_navs";
    public $timestamps = false;
    //获取所有菜单
    function getMenuAll(){
        $data=$this->get();
        if(!$data){
            return -6010000522;//没有数据
        }
        return $data->toArray();
    }
    //根据id获取菜单信息
    function getMenuById($id){
        $data=$this->where('id',$id)->first();
        if(!$data){
            return -6010000522;//没有数据
        }
        return $data->toArray();
    }
    //获取父级菜单
    function getMenuParent(){
        $data=$this->where('parent_id',0)->where('type',0)->get();
        if(!$data){
            return -6010000522;//没有数据
        }
        return $data->toArray();
    }
}
